| QxOrm 1.4.4 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Private Member Functions | Static Private Member Functions | Friends
qx::QxSingletonX Class Reference
QxSingleton : QxOrm library thread-safe singleton pattern

qx::QxSingletonX : list of all singleton defined by QxOrm library (this container is also a singleton) More...

`#include <QxSingletonX.h>`

Inheritance diagram for qx::QxSingletonX:

List of all members.

## Private Member Functions
| QxSingletonX ()
virtual | ~QxSingletonX ()
## Static Private Member Functions
static QHash< QString, IxSingleton * > & | getMapSingletonX ()
| Collection of all 'IxSingleton' pointer.
static QMutex * | getMutexSingletonX ()
| Mutex -> 'QxSingletonX' is thread-safe.
static bool & | getOnClearSingletonX ()
| Clear collection of 'IxSingleton' in event.
static bool | addSingleton (const QString &sKey, IxSingleton *pSingleton)
static bool | removeSingleton (const QString &sKey)
static void | deleteAllSingleton ()
## Friends
class | QxSingleton< QxSingletonX >
class | IxSingleton

## Detailed Description

qx::QxSingletonX : list of all singleton defined by QxOrm library (this container is also a singleton)

Definition at line 58 of file QxSingletonX.h.

## Constructor & Destructor Documentation

qx::QxSingletonX::QxSingletonX | ( |  | ) | `[private]`

virtual qx::QxSingletonX::~QxSingletonX | ( |  | ) | `[inline, private, virtual]`

Definition at line 73 of file QxSingletonX.h.

## Member Function Documentation

static bool qx::QxSingletonX::addSingleton | ( | const QString & | sKey,
|  | IxSingleton * | pSingleton
| ) |  | `[static, private]`

static void qx::QxSingletonX::deleteAllSingleton | ( |  | ) | `[static, private]`

static QHash<QString, IxSingleton *>& qx::QxSingletonX::getMapSingletonX | ( |  | ) | `[static, private]`

Collection of all 'IxSingleton' pointer.

static QMutex* qx::QxSingletonX::getMutexSingletonX | ( |  | ) | `[static, private]`

Mutex -> 'QxSingletonX' is thread-safe.

static bool& qx::QxSingletonX::getOnClearSingletonX | ( |  | ) | `[static, private]`

Clear collection of 'IxSingleton' in event.

static bool qx::QxSingletonX::removeSingleton | ( | const QString & | sKey | ) | `[static, private]`

## Friends And Related Function Documentation

friend class IxSingleton`[friend]`

Definition at line 62 of file QxSingletonX.h.

friend class QxSingleton< QxSingletonX >`[friend]`

Definition at line 61 of file QxSingletonX.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxSingleton/QxSingletonX.h